Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
adstatistics.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZAdMain", "Language" )
| $ImageDir = $ini->variable( "eZAdMain", "ImageDir" )
| $t
| $ad = new eZAd( $AdID )
| $clickCount = $ad->clickCount()
else | $clickRevenue =0
| $viewRevenue =& $ad->totalViewRevenue()
| $revenueTotal = $clickRevenue + $viewRevenue
| $view_count = $ad->viewCount()
if(is_numeric( $view_count) and $view_count !=0) | else

## Variable Documentation

## ◆ $ad

$ad = new eZAd( $AdID )

Definition at line 56 of file adstatistics.php.

Referenced by eZAdCategory\adlist(), renderAd(), and eZAdClick\setAd().

## ◆ $clickCount

$clickCount = $ad->clickCount()

Definition at line 63 of file adstatistics.php.

## ◆ $clickRevenue

else $clickRevenue =0

Definition at line 69 of file adstatistics.php.

## ◆ $ImageDir

$ImageDir = $ini->variable( "eZAdMain", "ImageDir" )

Definition at line 41 of file adstatistics.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 39 of file adstatistics.php.

## ◆ $Language

$Language = $ini->variable( "eZAdMain", "Language" )

Definition at line 40 of file adstatistics.php.

## ◆ $revenueTotal

$revenueTotal = $clickRevenue + $viewRevenue

Definition at line 78 of file adstatistics.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezad/admin/" . $ini->variable( "eZAdMain", "AdminTemplateDir" ),
"kernel/ezad/admin/intl/", $Language, "adstatistics.php" )
$Language
$Language
Definition: adstatistics.php:40
$ini
$ini
Definition: adstatistics.php:39
eZTemplate
Definition: eztemplate.php:107

Definition at line 43 of file adstatistics.php.

## ◆ $view_count

$view_count = $ad->viewCount()

Definition at line 81 of file adstatistics.php.

## ◆ $viewRevenue

$viewRevenue =& $ad->totalViewRevenue()

Definition at line 71 of file adstatistics.php.

## ◆ else

if ($ad->useHTML()) else

Initial value:
{
$t->set_var( "ad_click_percent", ( 0 ) )
$t
$t
Definition: adstatistics.php:43

Definition at line 88 of file adstatistics.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.